Page MenuHomePhabricator

DonationInterface spam in LocalisationUpdate logs
Closed, ResolvedPublic1 Story Points

Description

Warning: LU_Updater::readMessages: Unable to parse messages from file:///srv/mediawiki-staging/php-1.26wmf13/extensions/DonationInterface/gateway_common/interface.i18n.php in /srv/mediawiki-staging/php-1.26wmf13/extensions/LocalisationUpdate/Updater.php on line 63

Warning: LU_Updater::readMessages: Unable to parse messages from /var/lib/l10nupdate/mediawiki/extensions/DonationInterface/gateway_common/interface.i18n.php in /srv/mediawiki-staging/php-1.26wmf13/extensions/LocalisationUpdate/Updater.php on line 63

Warning: LU_Updater::readMessages: Unable to parse messages from file:///srv/mediawiki-staging/php-1.26wmf13/extensions/DonationInterface/gateway_common/countries.i18n.php in /srv/mediawiki-staging/php-1.26wmf13/extensions/LocalisationUpdate/Updater.php on line 63

Warning: LU_Updater::readMessages: Unable to parse messages from /var/lib/l10nupdate/mediawiki/extensions/DonationInterface/gateway_common/countries.i18n.php in /srv/mediawiki-staging/php-1.26wmf13/extensions/LocalisationUpdate/Updater.php on line 63

Warning: LU_Updater::readMessages: Unable to parse messages from file:///srv/mediawiki-staging/php-1.26wmf13/extensions/DonationInterface/gateway_common/us-states.i18n.php in /srv/mediawiki-staging/php-1.26wmf13/extensions/LocalisationUpdate/Updater.php on line 63

Warning: LU_Updater::readMessages: Unable to parse messages from /var/lib/l10nupdate/mediawiki/extensions/DonationInterface/gateway_common/us-states.i18n.php in /srv/mediawiki-staging/php-1.26wmf13/extensions/LocalisationUpdate/Updater.php on line 63

Warning: LU_Updater::readMessages: Unable to parse messages from file:///srv/mediawiki-staging/php-1.26wmf13/extensions/DonationInterface/gateway_common/canada-provinces.i18n.php in /srv/mediawiki-staging/php-1.26wmf13/extensions/LocalisationUpdate/Updater.php on line 63

Warning: LU_Updater::readMessages: Unable to parse messages from /var/lib/l10nupdate/mediawiki/extensions/DonationInterface/gateway_common/canada-provinces.i18n.php in /srv/mediawiki-staging/php-1.26wmf13/extensions/LocalisationUpdate/Updater.php on line 63

Warning: LU_Updater::readMessages: Unable to parse messages from file:///srv/mediawiki-staging/php-1.26wmf13/extensions/DonationInterface/globalcollect_gateway/globalcollect_gateway.i18n.php in /srv/mediawiki-staging/php-1.26wmf13/extensions/LocalisationUpdate/Updater.php on line 63

Warning: LU_Updater::readMessages: Unable to parse messages from /var/lib/l10nupdate/mediawiki/extensions/DonationInterface/globalcollect_gateway/globalcollect_gateway.i18n.php in /srv/mediawiki-staging/php-1.26wmf13/extensions/LocalisationUpdate/Updater.php on line 63

Event Timeline

Reedy created this task.Jul 15 2015, 2:17 AM
Reedy raised the priority of this task from to Needs Triage.
Reedy updated the task description. (Show Details)
Reedy added a subscriber: Reedy.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 15 2015, 2:17 AM
demon added a subscriber: demon.
demon triaged this task as Normal priority.Jul 15 2015, 2:42 AM
Reedy set Security to None.

Change 224740 had a related patch set uploaded (by Ejegg):
Remove backwards-compatibility i18n shims

https://gerrit.wikimedia.org/r/224740

Change 224740 merged by jenkins-bot:
Remove backwards-compatibility i18n shims

https://gerrit.wikimedia.org/r/224740

hashar assigned this task to Ejegg.Jul 16 2015, 10:51 AM
hashar added a subscriber: hashar.
Ejegg added a comment.Jul 20 2015, 4:25 PM

@Reedy, is the logspam gone now? Can we close this as resolved?

Reedy added a comment.Jul 20 2015, 8:44 PM

@Reedy, is the logspam gone now? Can we close this as resolved?

I've not checked. Is it deployed everywhere yet?

Ejegg added a comment.Jul 20 2015, 8:49 PM

Yep, the change is merged to master and deployment branches of the DonationInterface repo, and the core branch with DonationInterface (fundraising/REL1_23) now points to a shim-less revision of the extension.

It is also deployed to the payments cluster, but LocalisationUpdate doesn't look at what's there, does it? I am woefully ignorant of how the translators know which messages need updating.

Ejegg closed this task as Resolved.Aug 4 2015, 6:34 PM
DStrine edited a custom field.Aug 14 2015, 8:29 PM
Reedy added a comment.Aug 14 2015, 8:30 PM

Yep, the change is merged to master and deployment branches of the DonationInterface repo, and the core branch with DonationInterface (fundraising/REL1_23) now points to a shim-less revision of the extension.
It is also deployed to the payments cluster, but LocalisationUpdate doesn't look at what's there, does it? I am woefully ignorant of how the translators know which messages need updating.

The TLDR; version of translation is, you update the english version, when it's committed, it's pulled onto translatewiki. They then have a bot that marks any translated versions (if they exist) that they may need updating. Any new messages appear in the untranslated list as usual